package com.docus.server.report.noviwtask;

import cn.hutool.http.HttpUtil;
import com.docus.core.util.Func;
import com.docus.infrastructure.web.api.CommonResult;
import com.docus.infrastructure.web.api.ResultCode;
import com.docus.server.report.config.ApplicationBusinessConfig;
import com.docus.server.report.noviwtask.dto.ReportDownTwoDto;
import com.fasterxml.jackson.core.type.TypeReference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 无视图任务服务
 * @author wyb
 */
@Component
@Slf4j
public class NoViewTaskService {
    @Resource
    private ApplicationBusinessConfig applicationBusinessConfig;
    public ReportDownTwoDto getTaskByCollectorId(String collectorId){
        String getTaskUrl = applicationBusinessConfig.getGetTaskUrl();
        if(Func.isBlank(getTaskUrl)){
            log.warn("获取任务信息地址未配置！");
            return null;
        }
        getTaskUrl = applicationBusinessConfig.getGetTaskUrl() + "?collectid=" + collectorId;
        String result = HttpUtil.get(getTaskUrl);
        CommonResult<ReportDownTwoDto> reportDownTwoDtoCommonResult = Func.readJson(result, new TypeReference<CommonResult<ReportDownTwoDto>>() {
        });
        if(reportDownTwoDtoCommonResult==null || reportDownTwoDtoCommonResult.getCode().equals(ResultCode.FAILED.getCode()) || reportDownTwoDtoCommonResult.getData()==null){
            log.warn("未查询到任务数据！");
            return null;
        }
        return reportDownTwoDtoCommonResult.getData();
    }

}
